Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class AuthSessionFactoryTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.rsa.authagent.authapi.AuthSessionFactoryTest

All Implemented Interfaces:
  junit.framework.Test

    public class AuthSessionFactoryTest

extends junit.framework.TestCase

Description:

Constructor Summary
`AuthSessionFactoryTest(java.lang.String arg0)` Constructor for AuthSessionFactoryTest.

Method Summary
`void` | `testAuthSessionPropertiesFileNotExists()`
`void` | `testAuthSessionWithDefaultProperties()`
`void` | `testCreateUserSessionWithDefaultProperties()`
`void` | `testCreateUserSessionWithPropertiesFileNotExists()`
`void` | `testGetAceServerStatus()`
`void` | `testMultipleAuthSession()`
`void` | `testShutdown()`
`void` | `testTwoAuthSessionWithSameProperties()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthSessionFactoryTest

    public AuthSessionFactoryTest(java.lang.String arg0)

  Constructor for AuthSessionFactoryTest.

  Parameters:
    `arg0` -

Method Detail

### testAuthSessionWithDefaultProperties

    public void testAuthSessionWithDefaultProperties()
                                              throws AuthAgentException

  Throws:
    `AuthAgentException`

### testAuthSessionPropertiesFileNotExists

    public void testAuthSessionPropertiesFileNotExists()
                                                throws AuthAgentException

  Throws:
    `AuthAgentException`

### testTwoAuthSessionWithSameProperties

    public void testTwoAuthSessionWithSameProperties()
                                              throws AuthAgentException

  Throws:
    `AuthAgentException`

### testMultipleAuthSession

    public void testMultipleAuthSession()

### testShutdown

    public void testShutdown()
                      throws AuthAgentException

  Throws:
    `AuthAgentException`

### testCreateUserSessionWithDefaultProperties

    public void testCreateUserSessionWithDefaultProperties()
                                                    throws AuthAgentException

  Throws:
    `AuthAgentException`

### testCreateUserSessionWithPropertiesFileNotExists

    public void testCreateUserSessionWithPropertiesFileNotExists()
                                                          throws AuthAgentException

  Throws:
    `AuthAgentException`

### testGetAceServerStatus

    public void testGetAceServerStatus()
                                throws AuthAgentException

  Throws:
    `AuthAgentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.